------------------------------------------------------------------------------------------
-- define player stats
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Define vars --
------------------------------------------------------------------------------------------
    Player = Turbine.Gameplay.LocalPlayer.GetInstance();
    vaultpack = Player:GetVault();
    sspack = Player:GetSharedStorage();
    walletpack = Player:GetWallet();
    backpack = Player:GetBackpack();
    PlayerName = Player:GetName();
    PlayerAlign = Player:GetAlignment(); --1: Free People / 2: Monster Play
    PlayerLvl = Player:GetLevel();
    PlayerAttr = Player:GetAttributes();
    PlayerAlignement = Player:GetAlignment();
    PlayerEquip = Player:GetEquipment();
    PlayerDestinyP = PlayerAttr:GetDestinyPoints();
    PlayerSexe = {};

    if(PlayerAlignement == 1)then
        PlayerAgility = PlayerAttr:GetAgility();
        PlayerFate = PlayerAttr:GetFate();
        PlayerMight = PlayerAttr:GetMight();
        PlayerVitality = PlayerAttr:GetVitality();
        PlayerWill = PlayerAttr:GetWill();
        PlayerArmure = PlayerAttr:GetArmor();
        PlayerMoral = Player:GetMorale();
        PlayerMaxMoral = Player:GetMaxMorale();
        PlayerPower = Player:GetPower();
        PlayerMaxPower = Player:GetMaxPower();
	    PlayerVoc = PlayerAttr:GetVocation();
    end

    PlayerClass = Player:GetClass();
    PlayerRace = Player:GetRace();
    PlayerCash = PlayerAttr:GetMoney();


vaultHasBeenUpdated = false;
sharedStorageHasBeenUpdated = false;

LoadSettings();
LoadPlayerDatas();
LoadPlayerEquipment();
LoadPlayerVault();
LoadPlayerBags();
LoadSharedStorage();
LoadPlayerWallet();

PlayerSexe[PlayerName] = PlayerDatas[PlayerName].sexe;

SavePlayerDatas();
SavePlayerBags();
SavePlayerEquipment();
SavePlayerWallet();

settings["sessionCash"]["cashStart"] = PlayerDatas[PlayerName].cash;

local Today = Turbine.Engine.GetDate();
local TodayDay = Today.Day;
local TodayMonth = Today.Month;
local TodayYear = Today.Year;

if(settings["dailyCash"]["jour"] ~= TodayDay or settings["dailyCash"]["mois"] ~= TodayMonth or settings["dailyCash"]["annee"] ~= TodayYear)then
    settings["dailyCash"]["cashDaily"] = 0;
    settings["dailyCash"]["cashSpent"] = 0;
    settings["dailyCash"]["jour"] = TodayDay;
    settings["dailyCash"]["mois"] = TodayMonth;
    settings["dailyCash"]["annee"] = TodayYear;
end