------------------------------------------------------------------------------------------
-- UIShowStats file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create the equipment window
------------------------------------------------------------------------------------------
function CreateUIShowStats(namePlayerToshow)	
	UIShowStats=Turbine.UI.Lotro.GoldWindow(); 
	UIShowStats:SetSize(300,500); 
	UIShowStats:SetText(tostring(namePlayerToshow)); 
	UIShowStats:SetPosition((Turbine.UI.Display:GetWidth()-UIShowStats:GetWidth())/2,(Turbine.UI.Display:GetHeight()-UIShowStats:GetHeight())/2); 

	if(PlayerDatas[namePlayerToshow].moral ~= nil and
		PlayerDatas[namePlayerToshow].power ~= nil and
		PlayerDatas[namePlayerToshow].armure ~= nil )then
		UIShowStats.Message=Turbine.UI.Label(); 
		UIShowStats.Message:SetParent(UIShowStats); 
		UIShowStats.Message:SetSize(150,10); 
		UIShowStats.Message:SetPosition(UIShowStats:GetWidth()/2 - 75, UIShowStats:GetHeight() - 20); 
		UIShowStats.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		UIShowStats.Message:SetText(Strings.PluginText); 
		UIShowStats:SetZOrder(10);
		UIShowStats:SetWantsKeyEvents(true);
		UIShowStats:SetVisible(false);

		local posy = 50 ;
		local posx = 50;

		-- moral
		UIShowStatsLabIcon=Turbine.UI.Label(); 
		UIShowStatsLabIcon:SetParent(UIShowStats); 
		UIShowStatsLabIcon:SetSize(24, 25); 
		UIShowStatsLabIcon:SetPosition(posx + 30, posy ); 
		UIShowStatsLabIcon:SetBackground(0x410DCFCE); -- moral

		UIShowStats.Message14a=Turbine.UI.Label(); 
		UIShowStats.Message14a:SetParent(UIShowStats); 
		UIShowStats.Message14a:SetSize(300,20); 
		UIShowStats.Message14a:SetPosition(posx + 70, posy - 2); 
		UIShowStats.Message14a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowStats.Message14a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		PlayerDatas[namePlayerToshow].moral = PlayerDatas[namePlayerToshow].maxMoral;
		if(namePlayerToshow == PlayerName)then
			PlayerDatas[namePlayerToshow].moral = Player:GetMorale()-- power
		else
			PlayerDatas[namePlayerToshow].moral = PlayerDatas[namePlayerToshow].maxMoral-- power
		end
		UIShowStats.Message14a:SetText(comma_value(math.floor(PlayerDatas[namePlayerToshow].moral)) .. " / " .. comma_value(math.floor(PlayerDatas[namePlayerToshow].maxMoral))); 
		UIShowStats.Message14a:SetForeColor(Turbine.UI.Color( 0.33, 0.66, 0.33 )); -- nice green


		posy = posy + 30;
		-- power / wrath
		UIShowStatsLabIcon=Turbine.UI.Label(); 
		UIShowStatsLabIcon:SetParent(UIShowStats); 
		UIShowStatsLabIcon:SetSize(24, 25); 
		UIShowStatsLabIcon:SetPosition(posx + 30, posy ); 
		if(PlayerDatas[namePlayerToshow].rac ~= 114)then
			UIShowStatsLabIcon:SetBackground(0x410DCFCF); -- power
		else
			UIShowStatsLabIcon:SetBackground(0x4115BDFE); -- wrath
		end

		UIShowStats.Message12a=Turbine.UI.Label(); 
		UIShowStats.Message12a:SetParent(UIShowStats); 
		UIShowStats.Message12a:SetSize(300,20); 
		UIShowStats.Message12a:SetPosition(posx + 70, posy - 2); 
		UIShowStats.Message12a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowStats.Message12a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		if(PlayerDatas[namePlayerToshow].rac ~= 114)then
			if(namePlayerToshow == PlayerName)then
				PlayerDatas[namePlayerToshow].power = Player:GetPower()-- power
			else
				PlayerDatas[namePlayerToshow].power = PlayerDatas[namePlayerToshow].maxPower-- power
			end
			UIShowStats.Message12a:SetForeColor(Turbine.UI.Color( 0, 0.66, 0.75)); -- nice blue
		else
			PlayerDatas[namePlayerToshow].power = 0; -- wrath
			UIShowStats.Message12a:SetForeColor(Turbine.UI.Color( 0.9, 0.9, 0.1, 0 )); -- red
		end
		UIShowStats.Message12a:SetText(comma_value(math.floor(PlayerDatas[namePlayerToshow].power)) .. " / " .. comma_value(math.floor(PlayerDatas[namePlayerToshow].maxPower))); 

		posy = posy + 30;
		-- armor
		UIShowStatsLabIcon=Turbine.UI.Label(); 
		UIShowStatsLabIcon:SetParent(UIShowStats); 
		UIShowStatsLabIcon:SetSize(24, 25); 
		UIShowStatsLabIcon:SetPosition(posx + 30, posy ); 
		UIShowStatsLabIcon:SetBackground(0x410DCFD0); -- armor

		UIShowStats.Message11a=Turbine.UI.Label(); 
		UIShowStats.Message11a:SetParent(UIShowStats); 
		UIShowStats.Message11a:SetSize(300,20); 
		UIShowStats.Message11a:SetPosition(posx + 70, posy - 2); 
		UIShowStats.Message11a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowStats.Message11a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		UIShowStats.Message11a:SetText(comma_value(PlayerDatas[namePlayerToshow].armure)); 
		UIShowStats.Message11a:SetForeColor(Turbine.UI.Color( 0.5, 0.4, 0.2)); -- brown

		posy = posy + 30;
		-- separator
		UIShowStats.MessageLine=Turbine.UI.Label(); 
		UIShowStats.MessageLine:SetParent(UIShowStats); 
		UIShowStats.MessageLine:SetSize(250, 30); 
		UIShowStats.MessageLine:SetPosition(UIShowStats:GetWidth()/2 - 125, posy); 
		UIShowStats.MessageLine:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		UIShowStats.MessageLine:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		UIShowStats.MessageLine:SetText("______________________________________________________________________"); 
		UIShowStats.MessageLine:SetForeColor(Turbine.UI.Color.Blue);

			posy = posy + 30;
			-- force
			UIShowStats.Message9=Turbine.UI.Label(); 
			UIShowStats.Message9:SetParent(UIShowStats); 
			UIShowStats.Message9:SetSize(100,20); 
			UIShowStats.Message9:SetPosition(posx - 20, posy ); 
			UIShowStats.Message9:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			UIShowStats.Message9:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message9:SetText(Strings.PluginStats1); 

			UIShowStats.Message9a=Turbine.UI.Label(); 
			UIShowStats.Message9a:SetParent(UIShowStats); 
			UIShowStats.Message9a:SetSize(300,20); 
			UIShowStats.Message9a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
			UIShowStats.Message9a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
			UIShowStats.Message9a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message9a:SetText(comma_value(PlayerDatas[namePlayerToshow].might)); 

			posy = posy + 25;
			-- agility
			UIShowStats.Message8=Turbine.UI.Label(); 
			UIShowStats.Message8:SetParent(UIShowStats); 
			UIShowStats.Message8:SetSize(100,20); 
			UIShowStats.Message8:SetPosition(posx - 20, posy ); 
			UIShowStats.Message8:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			UIShowStats.Message8:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message8:SetText(Strings.PluginStats2); 

			UIShowStats.Message8a=Turbine.UI.Label(); 
			UIShowStats.Message8a:SetParent(UIShowStats); 
			UIShowStats.Message8a:SetSize(300,20); 
			UIShowStats.Message8a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
			UIShowStats.Message8a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
			UIShowStats.Message8a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message8a:SetText(comma_value(PlayerDatas[namePlayerToshow].agility)); 

			posy = posy + 25;
			-- vitality
			UIShowStats.Message7=Turbine.UI.Label(); 
			UIShowStats.Message7:SetParent(UIShowStats); 
			UIShowStats.Message7:SetSize(100,20); 
			UIShowStats.Message7:SetPosition(posx - 20, posy ); 
			UIShowStats.Message7:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			UIShowStats.Message7:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message7:SetText(Strings.PluginStats3); 

			UIShowStats.Message7a=Turbine.UI.Label(); 
			UIShowStats.Message7a:SetParent(UIShowStats); 
			UIShowStats.Message7a:SetSize(300,20); 
			UIShowStats.Message7a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
			UIShowStats.Message7a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
			UIShowStats.Message7a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message7a:SetText(comma_value(PlayerDatas[namePlayerToshow].vitality)); 

			posy = posy + 25;
			-- will
			UIShowStats.Message6=Turbine.UI.Label(); 
			UIShowStats.Message6:SetParent(UIShowStats); 
			UIShowStats.Message6:SetSize(100,20); 
			UIShowStats.Message6:SetPosition(posx - 20, posy ); 
			UIShowStats.Message6:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			UIShowStats.Message6:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message6:SetText(Strings.PluginStats4); 

			UIShowStats.Message6a=Turbine.UI.Label(); 
			UIShowStats.Message6a:SetParent(UIShowStats); 
			UIShowStats.Message6a:SetSize(300,20); 
			UIShowStats.Message6a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
			UIShowStats.Message6a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
			UIShowStats.Message6a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message6a:SetText(comma_value(PlayerDatas[namePlayerToshow].will)); 

			posy = posy + 25;
			-- will
			UIShowStats.Message5=Turbine.UI.Label(); 
			UIShowStats.Message5:SetParent(UIShowStats); 
			UIShowStats.Message5:SetSize(100,20); 
			UIShowStats.Message5:SetPosition(posx - 20, posy ); 
			UIShowStats.Message5:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			UIShowStats.Message5:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message5:SetText(Strings.PluginStats5); 

			UIShowStats.Message5a=Turbine.UI.Label(); 
			UIShowStats.Message5a:SetParent(UIShowStats); 
			UIShowStats.Message5a:SetSize(300,20); 
			UIShowStats.Message5a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
			UIShowStats.Message5a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
			UIShowStats.Message5a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
			UIShowStats.Message5a:SetText(comma_value(PlayerDatas[namePlayerToshow].fate)); 

		posy = posy + 30;
		-- separator
		UIShowStats.MessageLine=Turbine.UI.Label(); 
		UIShowStats.MessageLine:SetParent(UIShowStats); 
		UIShowStats.MessageLine:SetSize(250, 30); 
		UIShowStats.MessageLine:SetPosition(UIShowStats:GetWidth()/2 - 125, posy); 
		UIShowStats.MessageLine:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		UIShowStats.MessageLine:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowStats.MessageLine:SetText("______________________________________________________________________"); 
		UIShowStats.MessageLine:SetForeColor(Turbine.UI.Color.Blue);

		posy = posy + 30;
		-- lvl
		UIShowStats.Message4=Turbine.UI.Label(); 
		UIShowStats.Message4:SetParent(UIShowStats); 
		UIShowStats.Message4:SetSize(100,20); 
		UIShowStats.Message4:SetPosition(posx - 20, posy ); 
		UIShowStats.Message4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowStats.Message4:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowStats.Message4:SetText(Strings.PluginStats6); 

		UIShowStats.Message4a=Turbine.UI.Label(); 
		UIShowStats.Message4a:SetParent(UIShowStats); 
		UIShowStats.Message4a:SetSize(300,20); 
		UIShowStats.Message4a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
		UIShowStats.Message4a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowStats.Message4a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		UIShowStats.Message4a:SetText(PlayerDatas[namePlayerToshow].lvl); 

		posy = posy + 30;
		-- race
		UIShowStats.Message22=Turbine.UI.Label(); 
		UIShowStats.Message22:SetParent(UIShowStats); 
		UIShowStats.Message22:SetSize(100,20); 
		UIShowStats.Message22:SetPosition(posx - 20, posy ); 
		UIShowStats.Message22:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowStats.Message22:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowStats.Message22:SetText(Strings.PluginStats7); 

		UIShowStats.Message22a=Turbine.UI.Label(); 
		UIShowStats.Message22a:SetParent(UIShowStats); 
		UIShowStats.Message22a:SetSize(300,20); 
		UIShowStats.Message22a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
		UIShowStats.Message22a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowStats.Message22a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);


		if(PlayerDatas[namePlayerToshow].rac == 81)then -- hobbit
			UIShowStats.Message22a:SetText(Strings.PluginRace1); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 23)then -- homme
			UIShowStats.Message22a:SetText(Strings.PluginRace2); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 65)then -- elf
			UIShowStats.Message22a:SetText(Strings.PluginRace3); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 114)then -- beornide
			UIShowStats.Message22a:SetText(Strings.PluginRace4); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 120)then -- nain hache
			UIShowStats.Message22a:SetText(Strings.PluginRace5); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 73)then -- nain
			UIShowStats.Message22a:SetText(Strings.PluginRace6); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 117)then -- haut elf
			UIShowStats.Message22a:SetText(Strings.PluginRace7); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 7)then  -- orque
			UIShowStats.Message22a:SetText(Strings.PluginRace8); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 12)then -- araigne
			UIShowStats.Message22a:SetText(Strings.PluginRace9); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 6)then  -- ourouk
			UIShowStats.Message22a:SetText(Strings.PluginRace10); 
		end
		if(PlayerDatas[namePlayerToshow].rac == 66)then -- ouargue
			UIShowStats.Message22a:SetText(Strings.PluginRace11); 
		end

		posy = posy + 30;
		-- classe
		UIShowStats.Message3=Turbine.UI.Label(); 
		UIShowStats.Message3:SetParent(UIShowStats); 
		UIShowStats.Message3:SetSize(100,20); 
		UIShowStats.Message3:SetPosition(posx - 20, posy ); 
		UIShowStats.Message3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowStats.Message3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowStats.Message3:SetText(Strings.PluginStats8); 

		UIShowStats.Message3a=Turbine.UI.Label(); 
		UIShowStats.Message3a:SetParent(UIShowStats); 
		UIShowStats.Message3a:SetSize(300,20); 
		UIShowStats.Message3a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
		UIShowStats.Message3a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowStats.Message3a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		 

		if(PlayerDatas[namePlayerToshow].cla == 162)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse1);
		end
		if(PlayerDatas[namePlayerToshow].cla == 31)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse2);
		end
		if(PlayerDatas[namePlayerToshow].cla == 214)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse3);
		end	
		if(PlayerDatas[namePlayerToshow].cla == 24)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse4);
		end
		if(PlayerDatas[namePlayerToshow].cla == 193)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse5);
		end
		if(PlayerDatas[namePlayerToshow].cla == 40)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse6);
		end
		if(PlayerDatas[namePlayerToshow].cla == 185)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse7);
		end
		if(PlayerDatas[namePlayerToshow].cla == 23)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse8);
		end
		if(PlayerDatas[namePlayerToshow].cla == 172)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse9);
		end	
		if(PlayerDatas[namePlayerToshow].cla == 194)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse10);
		end
		if(PlayerDatas[namePlayerToshow].cla == 71)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse11);
		end
		if(PlayerDatas[namePlayerToshow].cla == 128)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse12);
		end
		if(PlayerDatas[namePlayerToshow].cla == 127)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse13);
		end
		if(PlayerDatas[namePlayerToshow].cla == 179)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse14);
		end
		if(PlayerDatas[namePlayerToshow].cla == 52)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse15);
		end
		if(PlayerDatas[namePlayerToshow].cla == 126)then
			UIShowStats.Message3a:SetText(Strings.PluginClasse16);
		end

		posy = posy + 30;
		-- sexe
		UIShowStats.Message1=Turbine.UI.Label(); 
		UIShowStats.Message1:SetParent(UIShowStats); 
		UIShowStats.Message1:SetSize(100,20); 
		UIShowStats.Message1:SetPosition(posx - 20, posy ); 
		UIShowStats.Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
		UIShowStats.Message1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		UIShowStats.Message1:SetText(Strings.PluginStats9); 

		UIShowStats.Message1a=Turbine.UI.Label(); 
		UIShowStats.Message1a:SetParent(UIShowStats); 
		UIShowStats.Message1a:SetSize(300,20); 
		UIShowStats.Message1a:SetPosition(UIShowStats:GetWidth()/2 - 175, posy ); 
		UIShowStats.Message1a:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
		UIShowStats.Message1a:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		if(PlayerDatas[namePlayerToshow].sexe == "male")then
			UIShowStats.Message1a:SetText(Strings.PluginGendreText1);
		else
			UIShowStats.Message1a:SetText(Strings.PluginGendreText2);
		end
	else
		UIShowStats.MessageNon=Turbine.UI.Label(); 
		UIShowStats.MessageNon:SetParent(UIShowStats); 
		UIShowStats.MessageNon:SetSize(300,50); 
		UIShowStats.MessageNon:SetPosition(UIShowStats:GetWidth()/2 - 150, UIShowStats:GetHeight()/2 ); 
		UIShowStats.MessageNon:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		UIShowStats.MessageNon:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
		UIShowStats.MessageNon:SetText(Strings.PluginStats10); 
	end

	ClosingTheWindowStats();
end